<form [formGroup]="formGroup">
  <app-case-form></app-case-form>
  <h3>Location</h3>
  <app-location-form formGroupName="location"></app-location-form>
  <h3>Contact</h3>
  <app-contact-form
    formControlName="contact"
    [formGroup]="contactForm"
  ></app-contact-form>
  <ng-container [formGroup]="contactForm">
    <app-location-form
      formControlName="location"
      [formGroup]="contactLocationForm"
    ></app-location-form>
  </ng-container>
</form>
<div>
  <div>
    <div>
      <h4>
        Case Form Value <span>({{ formGroup.valid }})</span>
      </h4>
      {{ formGroup.value | json }}
    </div>
  </div>
  <div>
    <div>
      <h4>
        Location Form Value <span>({{ locationForm.valid }})</span>
      </h4>
      {{ locationForm.value | json }}
    </div>
  </div>
  <div>
    <div>
      <h4>
        Contact Form Value <span>({{ contactForm.valid }})</span>
      </h4>
      {{ contactForm.value | json }}
    </div>
  </div>
  <div>
    <div>
      <h4>
        Contact Location Form Value
        <span>({{ contactLocationForm.valid }})</span>
      </h4>
      {{ contactLocationForm.value | json }}
    </div>
  </div>
</div>
